# List of brands

Returns the list of brands. Supports the Paging

Endpoint: GET /api/brands
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `itemsPerPage` (integer)
    Returned items per page. Default value is 500. Max value is 1000.
    Example: 888

  - `page` (integer)
    Page number to return. Default value is 1.
    Example: 3

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.brands` (array, required)

  - `data.brands.guid` (string, required)
    brand GUID

  - `data.brands.name` (string, required)
    Name of brand

  - `data.brands.indexName` (string, required)
    Unique index name of brand

  - `data.brands.description` (string,null, required)
    Description of brand. May contain HTML character

  - `data.brands.brandWeb` (string,null, required)
    URL of brand website

  - `data.brands.postalAddress` (string,null)
    GPSR, postal address

  - `data.brands.contactEmail` (string,null)
    GPSR, contact email

  - `data.brands.europeanResellerPostalAddress` (string,null)
    GPSR, european reseller postal address

  - `data.brands.europeanResellerContactEmail` (string,null)
    GPSR, reseller contact email

  - `data.brands.manufacturingCompanyName` (string,null)
    GPSR, manufacturing company name

  - `data.brands.europeanResellerManufacturingCompanyName` (string,null)
    GPSR, reseller manufacturing company name

  - `data.brands.showInCategoriesMenu` (boolean, required)
    Is this brand shown in categories menu?

  - `data.brands.showInBrandList` (boolean, required)
    Is this brand shown in brand list?

  - `data.brands.metaTitle` (string,null, required)
    Meta title of brand

  - `data.brands.metaDescription` (string,null, required)
    Meta description of brand

  - `data.paginator` (object, required)

  - `data.paginator.totalCount` (integer, required)
    total number of available records

  - `data.paginator.page` (integer, required)
    current page

  - `data.paginator.pageCount` (integer, required)
    total available of pages

  - `data.paginator.itemsOnPage` (integer, required)
    number of currently returned records

  - `data.paginator.itemsPerPage` (integer, required)
    required number of records per page

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


